###
# set_layout_plot.py (C) of thesis research "Modeling and Simulating Three Phases of Steel: Austenite, Feritte and Cementite" 2018 by Thijs Verbeek
# is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
#
# You should have received a copy of the license along with this
# work. If not, see <http://creativecommons.org/licenses/by-nc-sa/4.0/>.
###

import matplotlib.pyplot as plt
def plot_settings():
    params= {'axes.titlesize'  :12,
             'axes.labelsize'  :14,
             'xtick.labelsize' :12,
             'ytick.labelsize' :12,
             'legend.fontsize' :8,
             'figure.figsize'  :[6.202, 2.5],
#             'figure.figsize'  :[4.3414 ,  3.25605],     #scaled to .7 \textwidth in tex
#             'figure.figsize'  :[4.3414 ,  4.3414],     #scaled to .7 \textwidth in tex
#             'figure.figsize'  :[4.3414 ,  2.5],     #scaled to .7 \textwidth in tex
#             'figure.figsize'  :[7,6],
#             'figure.figsize'  :[18,9.5],
             'font.sans-serif' : 'Arial',
             'font.family' : 'sans-serif',
             'mathtext.fontset': 'stix'
             }
    plt.rcParams.update(params)

    #448.1309pt     textwidth   1inch = 72.27pt ==> 6.202 inch = 1 textwidth
    #676.04005pt    textheight